import request from '@/utils/request2'

export function getContractList(query) {
  return request({
    url: '/core/chat/messages?query='+query,
    method: 'get'
  })
}

// ---start 项目管理
export function getCoachProgramList(query) {
  return request({
    url: '/core/project/listByCoach',
    method: 'get',
    params: query
  })
}
export function addCoachProgram(data) {
  return request({
    url: '/core/project',
    method: 'post',
    data
  })
}
export function updateCoachProgram(data) {
  return request({
    url: '/core/project',
    method: 'put',
    data
  })
}
export function getCoachProgramInfo(query) {
  return request({
    url: `core/project/${query}`,
    method: 'get'
  })
}
export function deleteCoachProgram(query) {
  return request({
    url: `/core/project/deleteOneById/${query}`,
    method: 'delete'
  })
}
// ---end 项目管理

// ---start 教练管理
export function getCoachList(query) {
  return request({
    url: '/sys/user/page',
    method: 'get',
    params: query
  })
}
export function addCoach(data) {
  return request({
    url: '/sys/user',
    method: 'post',
    data
  })
}
export function updateCoach(data) {
  return request({
    url: '/sys/user',
    method: 'put',
    data
  })
}
export function getCoachInfo(query) {
  return request({
    url: `/sys/user/${query}`,
    method: 'get'
  })
}
export function deleteCoach(data) {
  return request({
    url: '/sys/user',
    method: 'delete',
    data
  })
}
// ---end 教练管理