import {defineStore} from "pinia";
import {ref} from "vue";

import { getCoachList } from '@/api/agent/index.js'

export const useAgentStore = defineStore('agent', () => {
    const coachList = ref([]);
    const coachMap = ref(new Map());
    const getCoachData = () => {
        getCoachList({page:1,limit:-1}).then((res) => {
            coachList.value = res.data.list;
            const map = new Map();
            coachList.value.forEach((supplier) => {
                map.set(supplier.id, supplier);
            });
            coachMap.value = map;
        });
    };

    return {
        coachList,
        coachMap,
        getCoachData,
    };
})
